name: aesthetica_wallpaper
description: "MoodCanvas:Walls"

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ^3.9.2

dependencies:
  flutter:
    sdk: flutter
  kk_device_infos:
    path: /Volumes/samsungssd/fluterPlus/kk_device_infos


  # 状态管理
  provider: ^6.1.2
  shared_preferences: ^2.2.3
  # 设备信息 (用于 "动态模拟器")
  battery_plus: ^6.0.1
  # 字体 (用于 "文字" 功能)
  google_fonts: ^6.2.1
  # 美化底部导航栏
  animated_bottom_navigation_bar: ^1.3.3
  # HTTP请求 (用于天气API)
  http: ^1.1.0
  # 位置服务 (用于获取当前位置)
  geolocator: ^10.1.0
  # 权限管理
  permission_handler: ^12.0.1
  # 图片保存到相册
  image_gallery_saver: ^2.0.3
  # 文件路径管理
  path_provider: ^2.1.1

  cupertino_icons: ^1.0.6
  url_launcher: ^6.3.2
  share_plus: ^12.0.1

  

  image: ^4.0.0
  flutter_animate: ^4.5.0
  audioplayers: ^5.2.1
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  confetti: ^0.7.0

  app_tracking_transparency: ^2.0.6+1
  secmtp_sdk: ^1.0.8
  firebase_core: ^4.4.0
  firebase_crashlytics: ^5.0.7
  firebase_analytics: ^12.1.1
  flutter_spinkit: ^5.2.2

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^3.0.0


flutter:
  uses-material-design: true


  assets:
    - assets/manifest.json
    - assets/fonts/
    - assets/images/

    - assets/images/nature/
    - assets/images/abstract/
    - assets/images/architecture/
    - assets/images/animals/
    - assets/images/food/
    - assets/images/travel/